<template>
  <v-btn
      class="dashboard-control mr-2 mb-6"
      max-width="500"
      color="primary"
      @click="addTime"
      :loading="loading"
  >
    {{ promo_offer }}
  </v-btn>
</template>

<script>
import {mapActions} from "vuex";

export default {
  name: "ControlPromoOffer",
  data: () => ({
    promo_offer: '',
    loading: false,
  }),
  created() {
    this.getPromo()
  },
  methods: {
    ...mapActions(['setNotification']),
    async addTime() {
      try {
        this.loading = true
        const response = await this.$axios.get('api/users/addtime')

        if (response.status === 200) {
          this.setNotification({
            show: true,
            type: 'success',
            message: response.data.message
          })
          this.$eventBus.$emit('updateUser', response.data.user)
        }
      } catch (error) {
        console.log(error)
      } finally {
        this.loading = false
      }
    },
    async getPromo() {
      try {
        const response = await this.$axios.get('/api/sloffers/promo_offer/getLabelName')
        this.promo_offer = response.data
      } catch (err) {
        console.log(err);
      }
    },
  }
}
</script>

<style scoped>

</style>
